## dino-im 0.0.git20180130

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# Prepare Plugins
set(PLUGINS omemo;openpgp;http-files)
if(DISABLED_PLUGINS)
    list(REMOVE_ITEM PLUGINS ${DISABLED_PLUGINS})
endif(DISABLED_PLUGINS)
if(ENABLED_PLUGINS)
    list(APPEND PLUGINS ${ENABLED_PLUGINS})
endif(ENABLED_PLUGINS)
list(REMOVE_DUPLICATES PLUGINS)

foreach(plugin ${PLUGINS})
    message(STATUS "Building plugin: ${plugin}")
    set(PLUGIN_ENABLED_${plugin} "yes")
endforeach(plugin)

# Prepare instal paths
macro(set_path what val desc)
    if(NOT ${what})
        unset(${what} CACHE)
        set(${what} ${val})
    endif()
    message(STATUS "${desc}: ${${what}}")
endmacro(set_path)

string(REGEX REPLACE "^liblib" "lib" LIBDIR_NAME "lib${LIB_SUFFIX}")
message(STATUS "Installation directory for architecture-independent files: ${CMAKE_INSTALL_PREFIX}")
set_path(EXEC_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}" "Installation directory for architecture-dependent files")
set_path(SHARE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share" "Installation directory for read-only architecture-independent data")

set_path(BIN_INSTALL_DIR "${EXEC_INSTALL_PREFIX}/bin" "Installation directory for user executables")
set_path(DATA_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/dino" "Installation directory for dino-specific data")
set_path(DESKTOP_FILE_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/applications" "Installation directory for .desktop files")
set_path(SERVICE_FILE_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/dbus-1/services" "Installation directory for .service files")
set_path(ICON_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/icons" "Installation directory for icons")
set_path(INCLUDE_INSTALL_DIR "${EXEC_INSTALL_PREFIX}/include" "Installation directory for C header files")
set_path(LIB_INSTALL_DIR "${EXEC_INSTALL_PREFIX}/${LIBDIR_NAME}" "Installation directory for object code libraries")
set_path(LOCALE_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/locale" "Installation directory for locale files")
set_path(PLUGIN_INSTALL_DIR "${LIB_INSTALL_DIR}/dino/plugins" "Installation directory for dino plugin object code files")
set_path(VAPI_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/vala/vapi" "Installation directory for Vala API files")

set(TARGET_INSTALL LIBRARY DESTINATION ${LIB_INSTALL_DIR} RUNTIME DESTINATION ${BIN_INSTALL_DIR} PUBLIC_HEADER DESTINATION ${INCLUDE_INSTALL_DIR} ARCHIVE DESTINATION ${LIB_INSTALL_DIR})
set(PLUGIN_INSTALL LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR} RUNTIME DESTINATION ${PLUGIN_INSTALL_DIR})

include(CheckCCompilerFlag)
include(CheckCSourceCompiles)

macro(AddCFlagIfSupported flag)
    string(REGEX REPLACE "[^a-z^A-Z^_^0-9]+" "_" flag_name ${flag})
    check_c_compiler_flag(${flag} COMPILER_SUPPORTS${flag_name})
    if(${COMPILER_SUPPORTS${flag_name}})
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${flag}")
    endif()
endmacro()

macro(AddValaCFlagIfSupported flag)
    string(REGEX REPLACE "[^a-z^A-Z^_^0-9]+" "_" flag_name ${flag})
    check_c_compiler_flag(${flag} COMPILER_SUPPORTS${flag_name})
    if(${COMPILER_SUPPORTS${flag_name}})
        set(VALA_CFLAGS "${VALA_CFLAGS} ${flag}")
    endif()
endmacro()

if("Ninja" STREQUAL ${CMAKE_GENERATOR})
   AddCFlagIfSupported(-fdiagnostics-color COMPILER_SUPPORTS_fdiagnistics-color)
endif()

AddCFlagIfSupported(-Wall)
AddCFlagIfSupported(-Werror=format-security)

AddValaCFlagIfSupported(-Wno-incompatible-pointer-types)
AddValaCFlagIfSupported(-Wno-pointer-sign)
AddValaCFlagIfSupported(-Wno-int-conversion)
AddValaCFlagIfSupported(-Wno-discarded-qualifiers)
AddValaCFlagIfSupported(-Wno-unused-but-set-variable)
AddValaCFlagIfSupported(-Wno-unused-variable)
AddValaCFlagIfSupported(-Wno-unused-function)
AddValaCFlagIfSupported(-Wno-unused-label)

try_compile(__WITHOUT_FILE_OFFSET_BITS_64 ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR}/cmake/LargeFileOffsets.c COMPILE_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS})
if(NOT __WITHOUT_FILE_OFFSET_BITS_64)
    try_compile(__WITH_FILE_OFFSET_BITS_64 ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR}/cmake/LargeFileOffsets.c COMPILE_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS} -D_FILE_OFFSET_BITS=64)

    if(__WITH_FILE_OFFSET_BITS_64)
        AddCFlagIfSupported(-D_FILE_OFFSET_BITS=64)
        AddValaCFlagIfSupported(-D_FILE_OFFSET_BITS=64)
        message(STATUS "Enabled large file support using _FILE_OFFSET_BITS=64")
    else(__WITH_FILE_OFFSET_BITS_64)
        message(STATUS "Large file support not available")
    endif(__WITH_FILE_OFFSET_BITS_64)
    unset(__WITH_FILE_OFFSET_BITS_64)
endif(NOT __WITHOUT_FILE_OFFSET_BITS_64)
unset(__WITHOUT_FILE_OFFSET_BITS_64)

if($ENV{USE_CCACHE})
    # Configure CCache if available
    find_program(CCACHE_FOUND ccache)
    if(CCACHE_FOUND)
        message(STATUS "Using ccache")
        set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
        set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
    else(CCACHE_FOUND)
        message(STATUS "USE_CCACHE was set but ccache was not found")
    endif(CCACHE_FOUND)
endif($ENV{USE_CCACHE})

if(NOT NO_DEBUG)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g")
    set(CMAKE_VALA_FLAGS "${CMAKE_VALA_FLAGS} -g")
endif(NOT NO_DEBUG)

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})

set(GTK3_GLOBAL_VERSION 3.22)
set(GLib_GLOBAL_VERSION 2.38)

if(NOT VALA_EXECUTABLE)
    unset(VALA_EXECUTABLE CACHE)
endif()

find_package(Vala 0.34 REQUIRED)
if(VALA_VERSION VERSION_GREATER "0.34.90" AND VALA_VERSION VERSION_LESS "0.36.1")
    # Due to a bug on 0.36.0 (and pre-releases), we need to disable FAST_VAPI
    set(DISABLE_FAST_VAPI yes)
endif()

include(${VALA_USE_FILE})
include(MultiFind)
include(GlibCompileResourcesSupport)

set(CMAKE_VALA_FLAGS "${CMAKE_VALA_FLAGS} --thread --target-glib=${GLib_GLOBAL_VERSION}")

add_subdirectory(qlite)
add_subdirectory(xmpp-vala)
add_subdirectory(libdino)
add_subdirectory(main)
add_subdirectory(plugins)

# uninstall target
configure_file("${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in" "${CMAKE_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_BINARY_DIR}/cmake_uninstall.cmake COMMENT "Uninstall the project...")

=== libdino/CMakeLists.txt ===
find_packages(LIBDINO_PACKAGES REQUIRED
    GDKPixbuf2
    Gee
    GLib
    GModule
    GObject
)

vala_precompile(LIBDINO_VALA_C
SOURCES
    src/application.vala

    src/dbus/login1.vala
    src/dbus/upower.vala

    src/entity/account.vala
    src/entity/conversation.vala
    src/entity/encryption.vala
    src/entity/file_transfer.vala
    src/entity/message.vala
    src/entity/settings.vala

    src/plugin/interfaces.vala
    src/plugin/loader.vala
    src/plugin/registry.vala

    src/service/avatar_manager.vala
    src/service/avatar_storage.vala
    src/service/blocking_manager.vala
    src/service/chat_interaction.vala
    src/service/connection_manager.vala
    src/service/conversation_manager.vala
    src/service/counterpart_interaction_manager.vala
    src/service/database.vala
    src/service/entity_capabilities_storage.vala
    src/service/file_manager.vala
    src/service/message_processor.vala
    src/service/message_storage.vala
    src/service/module_manager.vala
    src/service/muc_manager.vala
    src/service/presence_manager.vala
    src/service/roster_manager.vala
    src/service/stream_interactor.vala
    src/service/util.vala

    src/util.vala
CUSTOM_VAPIS
    "${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi"
    "${CMAKE_BINARY_DIR}/exports/qlite.vapi"
CUSTOM_DEPS
    xmpp-vala
    qlite
PACKAGES
    ${LIBDINO_PACKAGES}
GENERATE_VAPI
    dino
GENERATE_HEADER
    dino
)

add_custom_command(OUTPUT "${CMAKE_BINARY_DIR}/exports/dino_i18n.h"
COMMAND
    cp "${CMAKE_CURRENT_SOURCE_DIR}/src/dino_i18n.h" "${CMAKE_BINARY_DIR}/exports/dino_i18n.h"
DEPENDS
    "${CMAKE_CURRENT_SOURCE_DIR}/src/dino_i18n.h"
COMMENT
    Copy header file dino_i18n.h
)

add_custom_target(dino-vapi
DEPENDS
    ${CMAKE_BINARY_DIR}/exports/dino.vapi
    ${CMAKE_BINARY_DIR}/exports/dino.deps
    ${CMAKE_BINARY_DIR}/exports/dino_i18n.h
)

add_definitions(${VALA_CFLAGS} -DDINO_SYSTEM_PLUGIN_DIR="${PLUGIN_INSTALL_DIR}" -DDINO_SYSTEM_LIBDIR_NAME="${LIBDIR_NAME}")
add_library(libdino SHARED ${LIBDINO_VALA_C} ${CMAKE_BINARY_DIR}/exports/dino_i18n.h)
add_dependencies(libdino dino-vapi)
target_link_libraries(libdino xmpp-vala qlite ${LIBDINO_PACKAGES} m)
set_target_properties(libdino PROPERTIES PREFIX "" VERSION 0.0 SOVERSION 0)

install(TARGETS libdino ${TARGET_INSTALL})
install(FILES ${CMAKE_BINARY_DIR}/exports/dino.vapi ${CMAKE_BINARY_DIR}/exports/dino.deps DESTINATION ${VAPI_INSTALL_DIR})
install(FILES ${CMAKE_BINARY_DIR}/exports/dino.h ${CMAKE_BINARY_DIR}/exports/dino_i18n.h DESTINATION ${INCLUDE_INSTALL_DIR})

=== main/CMakeLists.txt ===
set(GETTEXT_PACKAGE "dino")
find_package(Gettext)
include(${GETTEXT_USE_FILE})
gettext_compile(${GETTEXT_PACKAGE} SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/po TARGET_NAME ${GETTEXT_PACKAGE}-translations)

find_packages(MAIN_PACKAGES REQUIRED
    Gee
    GLib>=2.38
    GModule
    GObject
    GTK3>=3.22
)

set(RESOURCE_LIST
    icons/dino-changes-prevent-symbolic.svg
    icons/dino-double-tick-symbolic.svg
    icons/dino-status-away.svg
    icons/dino-status-chat.svg
    icons/dino-status-dnd.svg
    icons/dino-status-online.svg
    icons/im.dino.Dino-symbolic.svg
    icons/dino-tick-symbolic.svg

    add_conversation/add_contact_dialog.ui
    add_conversation/add_groupchat_dialog.ui
    add_conversation/conference_details_fragment.ui
    add_conversation/list_row.ui
    add_conversation/select_jid_fragment.ui
    chat_input.ui
    contact_details_dialog.ui
    conversation_list_titlebar.ui
    conversation_selector/view.ui
    conversation_selector/chat_row_tooltip.ui
    conversation_selector/conversation_row.ui
    conversation_summary/image_toolbar.ui
    conversation_summary/view.ui
    manage_accounts/account_row.ui
    manage_accounts/add_account_dialog.ui
    manage_accounts/dialog.ui
    menu_add.ui
    menu_app.ui
    menu_conversation.ui
    menu_encryption.ui
    occupant_list.ui
    occupant_list_item.ui
    settings_dialog.ui
    unified_window_placeholder.ui

    theme.css
)

compile_gresources(
    MAIN_GRESOURCES_TARGET
    MAIN_GRESOURCES_XML
    TARGET ${CMAKE_CURRENT_BINARY_DIR}/resources/resources.c
    TYPE EMBED_C
    RESOURCES ${RESOURCE_LIST}
    PREFIX /im/dino/Dino
    SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/data
)

unset(MAIN_EXTRA_OPTIONS)
unset(MAIN_EXTRA_PACKAGES)
find_package(GDK3)
if(GDK3_WITH_X11)
    set(MAIN_EXTRA_OPTIONS ${MAIN_EXTRA_OPTIONS} -D GDK3_WITH_X11)
    set(MAIN_EXTRA_PACKAGES ${MAIN_EXTRA_PACKAGES} gdk-x11-3.0)
endif(GDK3_WITH_X11)

vala_precompile(MAIN_VALA_C
SOURCES
    src/main.vala

    src/ui/application.vala
    src/ui/add_conversation/add_conference_dialog.vala
    src/ui/add_conversation/add_contact_dialog.vala
    src/ui/add_conversation/add_groupchat_dialog.vala
    src/ui/add_conversation/conference_details_fragment.vala
    src/ui/add_conversation/conference_list.vala
    src/ui/add_conversation/list_row.vala
    src/ui/add_conversation/roster_list.vala
    src/ui/add_conversation/select_contact_dialog.vala
    src/ui/add_conversation/select_jid_fragment.vala
    src/ui/avatar_generator.vala
    src/ui/avatar_image.vala
    src/ui/chat_input/edit_history.vala
    src/ui/chat_input/encryption_button.vala
    src/ui/chat_input/occupants_tab_completer.vala
    src/ui/chat_input/smiley_converter.vala
    src/ui/chat_input/view.vala
    src/ui/contact_details/blocking_provider.vala
    src/ui/contact_details/settings_provider.vala
    src/ui/contact_details/dialog.vala
    src/ui/contact_details/muc_config_form_provider.vala
    src/ui/conversation_list_titlebar.vala
    src/ui/conversation_selector/chat_row.vala
    src/ui/conversation_selector/conversation_row.vala
    src/ui/conversation_selector/groupchat_pm_row.vala
    src/ui/conversation_selector/groupchat_row.vala
    src/ui/conversation_selector/list.vala
    src/ui/conversation_selector/view.vala
    src/ui/conversation_summary/chat_state_populator.vala
    src/ui/conversation_summary/conversation_item_skeleton.vala
    src/ui/conversation_summary/conversation_view.vala
    src/ui/conversation_summary/date_separator_populator.vala
    src/ui/conversation_summary/default_file_display.vala
    src/ui/conversation_summary/default_message_display.vala
    src/ui/conversation_summary/file_populator.vala
    src/ui/conversation_summary/image_display.vala
    src/ui/conversation_summary/message_populator.vala
    src/ui/conversation_summary/message_textview.vala
    src/ui/conversation_summary/slashme_message_display.vala
    src/ui/conversation_summary/subscription_notification.vala
    src/ui/conversation_titlebar/file_entry.vala
    src/ui/conversation_titlebar/menu_entry.vala
    src/ui/conversation_titlebar/occupants_entry.vala
    src/ui/conversation_titlebar/view.vala
    src/ui/manage_accounts/account_row.vala
    src/ui/manage_accounts/add_account_dialog.vala
    src/ui/manage_accounts/dialog.vala
    src/ui/notifications.vala
    src/ui/occupant_menu/list.vala
    src/ui/occupant_menu/list_row.vala
    src/ui/occupant_menu/view.vala
    src/ui/settings_dialog.vala
    src/ui/unified_window.vala
    src/ui/util/accounts_combo_box.vala
    src/ui/util/helper.vala
    src/ui/util/label_hybrid.vala
CUSTOM_VAPIS
    ${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi
    ${CMAKE_BINARY_DIR}/exports/qlite.vapi
    ${CMAKE_BINARY_DIR}/exports/dino_internal.vapi
PACKAGES
    ${MAIN_PACKAGES}
    ${MAIN_EXTRA_PACKAGES}
GRESOURCES
    ${MAIN_GRESOURCES_XML}
OPTIONS
    ${MAIN_EXTRA_OPTIONS}
)

add_definitions(${VALA_CFLAGS} -DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\" -DLOCALE_INSTALL_DIR=\"${LOCALE_INSTALL_DIR}\")
add_executable(dino ${MAIN_VALA_C} ${MAIN_GRESOURCES_TARGET})
add_dependencies(dino ${GETTEXT_PACKAGE}-translations)
target_link_libraries(dino libdino ${MAIN_PACKAGES})

if(WIN32)
    target_link_libraries(dino -mwindows)
endif(WIN32)

install(TARGETS dino ${TARGET_INSTALL})
install(FILES data/im.dino.Dino.desktop DESTINATION ${DESKTOP_FILE_INSTALL_DIR})
install(FILES data/im.dino.Dino.service DESTINATION ${SERVICE_FILE_INSTALL_DIR})
install(FILES data/icons/im.dino.Dino.svg DESTINATION ${ICON_INSTALL_DIR}/hicolor/scalable/apps)
install(FILES data/icons/im.dino.Dino-symbolic.svg DESTINATION ${ICON_INSTALL_DIR}/hicolor/symbolic/apps)
install(FILES
    data/icons/dino-status-away.svg
    data/icons/dino-status-chat.svg
    data/icons/dino-status-dnd.svg
    data/icons/dino-status-online.svg

    data/icons/dino-changes-prevent-symbolic.svg
    data/icons/dino-double-tick-symbolic.svg
    data/icons/dino-tick-symbolic.svg
DESTINATION
    ${ICON_INSTALL_DIR}/hicolor/scalable/status
)

=== plugins/CMakeLists.txt ===
if(PLUGIN_ENABLED_openpgp)
  add_subdirectory(gpgme-vala)
  add_subdirectory(openpgp)
endif(PLUGIN_ENABLED_openpgp)

if(PLUGIN_ENABLED_omemo)
  add_subdirectory(omemo)
  add_subdirectory(signal-protocol)
endif(PLUGIN_ENABLED_omemo)

if(PLUGIN_ENABLED_http-files)
  add_subdirectory(http-files)
endif(PLUGIN_ENABLED_http-files)

=== qlite/CMakeLists.txt ===
find_packages(QLITE_PACKAGES REQUIRED
    Gee
    GLib
    GObject
    SQLite3
)

vala_precompile(QLITE_VALA_C
SOURCES
    "src/database.vala"
    "src/table.vala"
    "src/column.vala"
    "src/row.vala"

    "src/statement_builder.vala"
    "src/delete_builder.vala"
    "src/insert_builder.vala"
    "src/query_builder.vala"
    "src/update_builder.vala"
    "src/upsert_builder.vala"
PACKAGES
    ${QLITE_PACKAGES}
GENERATE_VAPI
    qlite
GENERATE_HEADER
    qlite
)

add_custom_target(qlite-vapi
DEPENDS
    ${CMAKE_BINARY_DIR}/exports/qlite.vapi
    ${CMAKE_BINARY_DIR}/exports/qlite.deps
)

add_definitions(${VALA_CFLAGS})
add_library(qlite SHARED ${QLITE_VALA_C})
add_dependencies(qlite qlite-vapi)
target_link_libraries(qlite ${QLITE_PACKAGES})
set_target_properties(qlite PROPERTIES VERSION 0.1 SOVERSION 0)

install(TARGETS qlite ${TARGET_INSTALL})
install(FILES ${CMAKE_BINARY_DIR}/exports/qlite.vapi ${CMAKE_BINARY_DIR}/exports/qlite.deps DESTINATION ${VAPI_INSTALL_DIR})
install(FILES ${CMAKE_BINARY_DIR}/exports/qlite.h DESTINATION ${INCLUDE_INSTALL_DIR})

=== xmpp-vala/CMakeLists.txt ===
find_packages(ENGINE_PACKAGES REQUIRED
    GDKPixbuf2
    Gee
    GIO
    GLib
    GObject
)

vala_precompile(ENGINE_VALA_C
SOURCES
    "src/glib_fixes.vapi"

    "src/core/namespace_state.vala"
    "src/core/stanza_attribute.vala"
    "src/core/stanza_node.vala"
    "src/core/stanza_reader.vala"
    "src/core/stanza_writer.vala"
    "src/core/xmpp_log.vala"
    "src/core/xmpp_stream.vala"

    "src/module/bind.vala"
    "src/module/iq/module.vala"
    "src/module/iq/stanza.vala"
    "src/module/jid.vala"
    "src/module/message/module.vala"
    "src/module/message/stanza.vala"
    "src/module/presence/flag.vala"
    "src/module/presence/module.vala"
    "src/module/presence/stanza.vala"
    "src/module/roster/flag.vala"
    "src/module/roster/item.vala"
    "src/module/roster/module.vala"
    "src/module/roster/versioning_module.vala"
    "src/module/sasl.vala"
    "src/module/session.vala"
    "src/module/stanza.vala"
    "src/module/stanza_error.vala"
    "src/module/stream_error.vala"
    "src/module/tls.vala"
    "src/module/util.vala"

    "src/module/xep/0004_data_forms.vala"
    "src/module/xep/0030_service_discovery/flag.vala"
    "src/module/xep/0030_service_discovery/identity.vala"
    "src/module/xep/0030_service_discovery/info_result.vala"
    "src/module/xep/0030_service_discovery/item.vala"
    "src/module/xep/0030_service_discovery/items_result.vala"
    "src/module/xep/0030_service_discovery/module.vala"
    "src/module/xep/0045_muc/flag.vala"
    "src/module/xep/0045_muc/module.vala"
    "src/module/xep/0045_muc/status_code.vala"
    "src/module/xep/0048_bookmarks/module.vala"
    "src/module/xep/0048_bookmarks/conference.vala"
    "src/module/xep/0049_private_xml_storage.vala"
    "src/module/xep/0054_vcard/module.vala"
    "src/module/xep/0060_pubsub.vala"
    "src/module/xep/0066_out_of_band_data.vala"
    "src/module/xep/0082_date_time_profiles.vala"
    "src/module/xep/0084_user_avatars.vala"
    "src/module/xep/0085_chat_state_notifications.vala"
    "src/module/xep/0115_entitiy_capabilities.vala"
    "src/module/xep/0191_blocking_command.vala"
    "src/module/xep/0198_stream_management.vala"
    "src/module/xep/0199_ping.vala"
    "src/module/xep/0184_message_delivery_receipts.vala"
    "src/module/xep/0203_delayed_delivery.vala"
    "src/module/xep/0280_message_carbons.vala"
    "src/module/xep/0313_message_archive_management.vala"
    "src/module/xep/0333_chat_markers.vala"
    "src/module/xep/0368_srv_records_tls.vala"
    "src/module/xep/pixbuf_storage.vala"
PACKAGES
    ${ENGINE_PACKAGES}
GENERATE_VAPI
    xmpp-vala
GENERATE_HEADER
    xmpp-vala
)

add_custom_target(xmpp-vala-vapi
DEPENDS
    ${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi
    ${CMAKE_BINARY_DIR}/exports/xmpp-vala.deps
)

add_definitions(${VALA_CFLAGS})
add_library(xmpp-vala SHARED ${ENGINE_VALA_C})
add_dependencies(xmpp-vala xmpp-vala-vapi)
target_link_libraries(xmpp-vala ${ENGINE_PACKAGES})
set_target_properties(xmpp-vala PROPERTIES VERSION 0.1 SOVERSION 0)

install(TARGETS xmpp-vala ${TARGET_INSTALL})
install(FILES ${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi ${CMAKE_BINARY_DIR}/exports/xmpp-vala.deps DESTINATION ${VAPI_INSTALL_DIR})
install(FILES ${CMAKE_BINARY_DIR}/exports/xmpp-vala.h DESTINATION ${INCLUDE_INSTALL_DIR})

if(BUILD_TESTS)
    vala_precompile(ENGINE_TEST_VALA_C
    SOURCES
        "tests/common.vala"
        "tests/testcase.vala"

        "tests/stanza.vala"
    CUSTOM_VAPIS
        ${CMAKE_BINARY_DIR}/exports/xmpp-vala_internal.vapi
    PACKAGES
        ${ENGINE_PACKAGES}
    )

    add_definitions(${VALA_CFLAGS})
    add_executable(xmpp-vala-test ${ENGINE_TEST_VALA_C})
    target_link_libraries(xmpp-vala-test xmpp-vala ${SIGNAL_PROTOCOL_PACKAGES})
endif(BUILD_TESTS)

=== plugins/http-files/CMakeLists.txt ===
find_packages(HTTP_FILES_PACKAGES REQUIRED
    Gee
    GLib
    GModule
    GObject
    GTK3
    Soup
)

vala_precompile(HTTP_FILES_VALA_C
SOURCES
    src/file_provider.vala
    src/manager.vala
    src/plugin.vala
    src/register_plugin.vala
    src/upload_stream_module.vala
CUSTOM_VAPIS
    ${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi
    ${CMAKE_BINARY_DIR}/exports/dino.vapi
    ${CMAKE_BINARY_DIR}/exports/qlite.vapi
PACKAGES
    ${HTTP_FILES_PACKAGES}
)

add_definitions(${VALA_CFLAGS})
add_library(http-files SHARED ${HTTP_FILES_VALA_C})
target_link_libraries(http-files libdino ${HTTP_FILES_PACKAGES})
set_target_properties(http-files PROPERTIES PREFIX "")
set_target_properties(http-files PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/plugins/)

install(TARGETS http-files ${PLUGIN_INSTALL})

=== plugins/omemo/CMakeLists.txt ===
set(GETTEXT_PACKAGE "dino-omemo")
find_package(Gettext)
include(${GETTEXT_USE_FILE})
gettext_compile(${GETTEXT_PACKAGE} SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/po TARGET_NAME ${GETTEXT_PACKAGE}-translations)

find_packages(OMEMO_PACKAGES REQUIRED
    Gee
    GLib
    GModule
    GObject
    GTK3
)

set(RESOURCE_LIST
    account_settings_dialog.ui
)

compile_gresources(
    OMEMO_GRESOURCES_TARGET
    OMEMO_GRESOURCES_XML
    TARGET ${CMAKE_CURRENT_BINARY_DIR}/resources/resources.c
    TYPE EMBED_C
    RESOURCES ${RESOURCE_LIST}
    PREFIX /im/dino/Dino/omemo
    SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/data
)

vala_precompile(OMEMO_VALA_C
SOURCES
    src/account_settings_dialog.vala
    src/account_settings_entry.vala
    src/account_settings_widget.vala
    src/bundle.vala
    src/contact_details_provider.vala
    src/database.vala
    src/encrypt_state.vala
    src/encryption_list_entry.vala
    src/manager.vala
    src/message_flag.vala
    src/plugin.vala
    src/pre_key_store.vala
    src/register_plugin.vala
    src/session_store.vala
    src/signed_pre_key_store.vala
    src/stream_module.vala
    src/util.vala
CUSTOM_VAPIS
    ${CMAKE_BINARY_DIR}/exports/signal-protocol.vapi
    ${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi
    ${CMAKE_BINARY_DIR}/exports/qlite.vapi
    ${CMAKE_BINARY_DIR}/exports/dino.vapi
PACKAGES
    ${OMEMO_PACKAGES}
GRESOURCES
    ${OMEMO_GRESOURCES_XML}
)

add_definitions(${VALA_CFLAGS} -DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\" -DLOCALE_INSTALL_DIR=\"${LOCALE_INSTALL_DIR}\")
add_library(omemo SHARED ${OMEMO_VALA_C} ${OMEMO_GRESOURCES_TARGET})
add_dependencies(omemo ${GETTEXT_PACKAGE}-translations)
target_link_libraries(omemo libdino signal-protocol-vala ${OMEMO_PACKAGES})
set_target_properties(omemo PROPERTIES PREFIX "")
set_target_properties(omemo PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/plugins/)

install(TARGETS omemo ${PLUGIN_INSTALL})

=== plugins/openpgp/CMakeLists.txt ===
set(GETTEXT_PACKAGE "dino-openpgp")
find_package(Gettext)
include(${GETTEXT_USE_FILE})
gettext_compile(${GETTEXT_PACKAGE} SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/po TARGET_NAME ${GETTEXT_PACKAGE}-translations)


find_packages(OPENPGP_PACKAGES REQUIRED
    Gee
    GLib>=2.38
    GModule
    GObject
    GTK3
)

set(RESOURCE_LIST
    account_settings_item.ui
)

compile_gresources(
    OPENPGP_GRESOURCES_TARGET
    OPENPGP_GRESOURCES_XML
    TARGET ${CMAKE_CURRENT_BINARY_DIR}/resources/resources.c
    TYPE EMBED_C
    RESOURCES ${RESOURCE_LIST}
    PREFIX /im/dino/Dino/openpgp
    SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/data
)

vala_precompile(OPENPGP_VALA_C
SOURCES
    src/account_settings_entry.vala
    src/account_settings_widget.vala
    src/contact_details_provider.vala
    src/database.vala
    src/encryption_list_entry.vala
    src/in_file_processor.vala
    src/manager.vala
    src/out_file_processor.vala
    src/plugin.vala
    src/register_plugin.vala
    src/stream_flag.vala
    src/stream_module.vala
    src/util.vala
CUSTOM_VAPIS
    ${CMAKE_BINARY_DIR}/exports/gpgme.vapi
    ${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi
    ${CMAKE_BINARY_DIR}/exports/qlite.vapi
    ${CMAKE_BINARY_DIR}/exports/dino.vapi
PACKAGES
    ${OPENPGP_PACKAGES}
GRESOURCES
    ${OPENPGP_GRESOURCES_XML}
)

add_definitions(${VALA_CFLAGS} -DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\" -DLOCALE_INSTALL_DIR=\"${LOCALE_INSTALL_DIR}\")
add_library(openpgp SHARED ${OPENPGP_VALA_C} ${OPENPGP_GRESOURCES_TARGET})
add_dependencies(openpgp ${GETTEXT_PACKAGE}-translations)
target_link_libraries(openpgp libdino gpgme-vala ${OPENPGP_PACKAGES})
set_target_properties(openpgp PROPERTIES PREFIX "")
set_target_properties(openpgp PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/plugins/)

install(TARGETS openpgp ${PLUGIN_INSTALL})

=== debian/changelog ===
dino-im (0.0.git20180130-1ubuntu0.1) bionic-security; urgency=high

  * Cherry pick upstream security fixes (LP: #1866113)
    - SECURITY UPDATE: Fix check of source of a carbons message (CVE-2019-16235)
    - SECURITY UPDATE: Check roster push authorization (CVE-2019-16236)
    - SECURITY UPDATE: Fix check of source of MAM message (CVE-2019-16237)
  * Accept IV sizes of 12 in addition to 16 to enable reading messages
    sent from clients using 12-byte IVs again (LP: #1866115)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 04 Mar 2020 15:20:07 +0100

dino-im (0.0.git20180130-1) unstable; urgency=medium

  * New upstream git snapshot
  * First upload to unstable
  * Move packaging to Debian XMPP Maintainers, use salsa.debian.org
  * Bump standards version

 -- W. Martin Borgert <debacle@debian.org>  Tue, 30 Jan 2018 22:42:17 +0000

dino-im (0.0.git20171205-1) experimental; urgency=medium

  * New upstream git snapshot

 -- W. Martin Borgert <debacle@debian.org>  Wed, 06 Dec 2017 22:00:30 +0000

dino-im (0.0.git20171117-1) experimental; urgency=medium

  * New upstream git snapshot
  * Add some useful recommends

 -- W. Martin Borgert <debacle@debian.org>  Sat, 18 Nov 2017 13:40:16 +0000

dino-im (0.0.git20171101-1) experimental; urgency=medium

  * New upstream git snapshot
  * dino-im depends on dino-im-common (Closes: #880716)

 -- W. Martin Borgert <debacle@debian.org>  Sat, 04 Nov 2017 18:35:51 +0000

dino-im (0.0.git20171023-1) experimental; urgency=medium

  * Initial release. (Closes: #860055)

 -- W. Martin Borgert <debacle@debian.org>  Mon, 23 Oct 2017 21:56:37 +0000

=== debian/control ===
Source: dino-im
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>,
	Dominik George <nik@naturalnet.de>
Section: net
Priority: optional
Build-Depends: debhelper (>= 10),
	cmake,
	dh-exec,
	gettext,
	libgcrypt20-dev,
	libgee-0.8-dev,
	libglib2.0-dev,
	libgpgme-dev,
	libgtk-3-dev (>= 3.22),
	libnotify-dev,
	libsignal-protocol-c-dev,
	libsoup2.4-dev,
	libsqlite3-dev,
	ninja-build,
	valac
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: https://github.com/dino/dino
Vcs-Browser: https://salsa.debian.org/xmpp-team/dino-im
Vcs-Git: https://salsa.debian.org/xmpp-team/dino-im.git

Package: dino-im
Architecture: any
Depends: ${misc:Depends},
	${shlibs:Depends},
	dino-im-common (= ${source:Version})
Recommends: ca-certificates,
	dbus,
	fonts-noto-color-emoji,
	network-manager
Description: modern XMPP client
 Dino is a modern XMPP client with a nice and clean look.
 It does support OMEMO and OpenPGP for end-to-end encryption.
 If you are looking for a Conversations look-alike, this
 program might be for you.

Package: dino-im-common
Architecture: all
Depends: ${misc:Depends}
Description: modern XMPP client - common files
 Dino is a modern XMPP client with a nice and clean look.
 It does support OMEMO and OpenPGP for end-to-end encryption.
 If you are looking for a Conversations look-alike, this
 program might be for you.
 .
 This package contains platform independent files.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	SHARED_SIGNAL_PROTOCOL=1 ./configure --prefix=/usr --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/dino-im --bindir=/usr/bin

override_dh_auto_clean:
	rm -rf build/ Makefile

## dino-im 0.0.git20180805

=== libdino/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,7 @@
     src/service/message_storage.vala
     src/service/module_manager.vala
     src/service/muc_manager.vala
+    src/service/notification_events.vala
     src/service/presence_manager.vala
     src/service/roster_manager.vala
     src/service/stream_interactor.vala

=== main/CMakeLists.txt ===
--- 
+++ 
@@ -111,7 +111,6 @@
     src/ui/conversation_summary/message_textview.vala
     src/ui/conversation_summary/slashme_message_display.vala
     src/ui/conversation_summary/subscription_notification.vala
-    src/ui/conversation_titlebar/file_entry.vala
     src/ui/conversation_titlebar/menu_entry.vala
     src/ui/conversation_titlebar/occupants_entry.vala
     src/ui/conversation_titlebar/view.vala
@@ -127,6 +126,7 @@
     src/ui/util/accounts_combo_box.vala
     src/ui/util/helper.vala
     src/ui/util/label_hybrid.vala
+    src/ui/util/preview_file_chooser_native.vala
 CUSTOM_VAPIS
     ${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi
     ${CMAKE_BINARY_DIR}/exports/qlite.vapi
@@ -150,6 +150,7 @@
 endif(WIN32)
 
 install(TARGETS dino ${TARGET_INSTALL})
+install(FILES data/im.dino.Dino.appdata.xml DESTINATION ${APPDATA_FILE_INSTALL_DIR})
 install(FILES data/im.dino.Dino.desktop DESTINATION ${DESKTOP_FILE_INSTALL_DIR})
 install(FILES data/im.dino.Dino.service DESTINATION ${SERVICE_FILE_INSTALL_DIR})
 install(FILES data/icons/im.dino.Dino.svg DESTINATION ${ICON_INSTALL_DIR}/hicolor/scalable/apps)

=== xmpp-vala/CMakeLists.txt ===
--- 
+++ 
@@ -68,6 +68,7 @@
     "src/module/xep/0313_message_archive_management.vala"
     "src/module/xep/0333_chat_markers.vala"
     "src/module/xep/0368_srv_records_tls.vala"
+    "src/module/xep/0380_explicit_encryption.vala"
     "src/module/xep/pixbuf_storage.vala"
 PACKAGES
     ${ENGINE_PACKAGES}

## dino-im 0.0.git20180904

=== debian/changelog ===
dino-im (0.0.git20180904-1) unstable; urgency=medium

  * New upstream git snapshot (Closes: #907935)

 -- W. Martin Borgert <debacle@debian.org>  Tue, 04 Sep 2018 20:02:20 +0000

dino-im (0.0.git20180805-1) unstable; urgency=medium

  * New upstream git snapshot

 -- W. Martin Borgert <debacle@debian.org>  Sun, 12 Aug 2018 00:06:25 +0000

dino-im (0.0.git20180603-1) unstable; urgency=medium

  * New upstream git snapshot

 -- W. Martin Borgert <debacle@debian.org>  Wed, 06 Jun 2018 17:48:50 +0000

dino-im (0.0.git20180430-1) unstable; urgency=medium

  * New upstream git snapshot
  * Bump standards version and dh compat

 -- W. Martin Borgert <debacle@debian.org>  Tue, 01 May 2018 20:49:49 +0000

dino-im (0.0.git20180310-1) unstable; urgency=medium

  * New upstream git snapshot

 -- W. Martin Borgert <debacle@debian.org>  Tue, 20 Mar 2018 22:52:15 +0000

## dino-im 0.0.git20180921

=== main/CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,7 @@
     chat_input.ui
     contact_details_dialog.ui
     conversation_list_titlebar.ui
+    global_search.ui
     conversation_selector/view.ui
     conversation_selector/chat_row_tooltip.ui
     conversation_selector/conversation_row.ui
@@ -43,7 +44,9 @@
     menu_encryption.ui
     occupant_list.ui
     occupant_list_item.ui
+    search_autocomplete.ui
     settings_dialog.ui
+    unified_main_content.ui
     unified_window_placeholder.ui
 
     theme.css
@@ -93,6 +96,7 @@
     src/ui/contact_details/dialog.vala
     src/ui/contact_details/muc_config_form_provider.vala
     src/ui/conversation_list_titlebar.vala
+    src/ui/global_search.vala
     src/ui/conversation_selector/chat_row.vala
     src/ui/conversation_selector/conversation_row.vala
     src/ui/conversation_selector/groupchat_pm_row.vala
@@ -100,19 +104,15 @@
     src/ui/conversation_selector/list.vala
     src/ui/conversation_selector/view.vala
     src/ui/conversation_summary/chat_state_populator.vala
+    src/ui/conversation_summary/content_item_widget_factory.vala
+    src/ui/conversation_summary/content_populator.vala
     src/ui/conversation_summary/conversation_item_skeleton.vala
     src/ui/conversation_summary/conversation_view.vala
     src/ui/conversation_summary/date_separator_populator.vala
-    src/ui/conversation_summary/default_file_display.vala
-    src/ui/conversation_summary/default_message_display.vala
-    src/ui/conversation_summary/file_populator.vala
-    src/ui/conversation_summary/image_display.vala
-    src/ui/conversation_summary/message_populator.vala
-    src/ui/conversation_summary/message_textview.vala
-    src/ui/conversation_summary/slashme_message_display.vala
     src/ui/conversation_summary/subscription_notification.vala
     src/ui/conversation_titlebar/menu_entry.vala
     src/ui/conversation_titlebar/occupants_entry.vala
+    src/ui/conversation_titlebar/search_entry.vala
     src/ui/conversation_titlebar/view.vala
     src/ui/manage_accounts/account_row.vala
     src/ui/manage_accounts/add_account_dialog.vala
@@ -124,6 +124,7 @@
     src/ui/settings_dialog.vala
     src/ui/unified_window.vala
     src/ui/util/accounts_combo_box.vala
+    src/ui/util/data_forms.vala
     src/ui/util/helper.vala
     src/ui/util/label_hybrid.vala
     src/ui/util/preview_file_chooser_native.vala

=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -11,3 +11,7 @@
 if(PLUGIN_ENABLED_http-files)
   add_subdirectory(http-files)
 endif(PLUGIN_ENABLED_http-files)
+
+if(PLUGIN_ENABLED_notification-sound)
+  add_subdirectory(notification-sound)
+endif(PLUGIN_ENABLED_notification-sound)

=== xmpp-vala/CMakeLists.txt ===
--- 
+++ 
@@ -55,6 +55,7 @@
     "src/module/xep/0054_vcard/module.vala"
     "src/module/xep/0060_pubsub.vala"
     "src/module/xep/0066_out_of_band_data.vala"
+    "src/module/xep/0077_in_band_registration.vala"
     "src/module/xep/0082_date_time_profiles.vala"
     "src/module/xep/0084_user_avatars.vala"
     "src/module/xep/0085_chat_state_notifications.vala"

=== debian/changelog ===
dino-im (0.0.git20180921-1) unstable; urgency=medium

  * New upstream git snapshot (Closes: #909488)

 -- W. Martin Borgert <debacle@debian.org>  Sun, 07 Oct 2018 18:47:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: dino-im
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
+Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders: W. Martin Borgert <debacle@debian.org>,
 	Dominik George <nik@naturalnet.de>
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
 	cmake,
 	dh-exec,
 	gettext,
+	libcanberra-dev,
 	libgcrypt20-dev,
 	libgee-0.8-dev,
 	libglib2.0-dev,
@@ -20,7 +20,7 @@
 	libsqlite3-dev,
 	ninja-build,
 	valac
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Rules-Requires-Root: no
 Homepage: https://github.com/dino/dino
 Vcs-Browser: https://salsa.debian.org/xmpp-team/dino-im
@@ -43,6 +43,7 @@
 
 Package: dino-im-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: modern XMPP client - common files
  Dino is a modern XMPP client with a nice and clean look.

## dino-im 0.0.git20181120

=== plugins/omemo/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,8 @@
 )
 
 set(RESOURCE_LIST
-    account_settings_dialog.ui
+    contact_details_dialog.ui
+    manage_key_dialog.ui
 )
 
 compile_gresources(
@@ -27,14 +28,17 @@
 
 vala_precompile(OMEMO_VALA_C
 SOURCES
-    src/account_settings_dialog.vala
     src/account_settings_entry.vala
     src/account_settings_widget.vala
     src/bundle.vala
     src/contact_details_provider.vala
+    src/contact_details_dialog.vala
     src/database.vala
+    src/device_notification_populator.vala
+    src/own_notifications.vala
     src/encrypt_state.vala
     src/encryption_list_entry.vala
+    src/manage_key_dialog.vala
     src/manager.vala
     src/message_flag.vala
     src/plugin.vala
@@ -43,12 +47,14 @@
     src/session_store.vala
     src/signed_pre_key_store.vala
     src/stream_module.vala
+    src/trust_manager.vala
     src/util.vala
 CUSTOM_VAPIS
     ${CMAKE_BINARY_DIR}/exports/signal-protocol.vapi
     ${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi
     ${CMAKE_BINARY_DIR}/exports/qlite.vapi
     ${CMAKE_BINARY_DIR}/exports/dino.vapi
+    ${CMAKE_CURRENT_SOURCE_DIR}/vapi/qrencode.vapi
 PACKAGES
     ${OMEMO_PACKAGES}
 GRESOURCES
@@ -58,7 +64,7 @@
 add_definitions(${VALA_CFLAGS} -DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\" -DLOCALE_INSTALL_DIR=\"${LOCALE_INSTALL_DIR}\")
 add_library(omemo SHARED ${OMEMO_VALA_C} ${OMEMO_GRESOURCES_TARGET})
 add_dependencies(omemo ${GETTEXT_PACKAGE}-translations)
-target_link_libraries(omemo libdino signal-protocol-vala ${OMEMO_PACKAGES})
+target_link_libraries(omemo libdino signal-protocol-vala qrencode ${OMEMO_PACKAGES})
 set_target_properties(omemo PROPERTIES PREFIX "")
 set_target_properties(omemo PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/plugins/)

=== debian/changelog ===
dino-im (0.0.git20181120-1) unstable; urgency=medium

  * New upstream git snapshot

 -- W. Martin Borgert <debacle@debian.org>  Wed, 21 Nov 2018 09:26:25 +0000

dino-im (0.0.git20181102-1) unstable; urgency=medium

  * New upstream git snapshot (Closes: #909488)

 -- W. Martin Borgert <debacle@debian.org>  Mon, 05 Nov 2018 23:46:31 +0000

## dino-im 0.0.git20181129

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,7 @@
 
 set_path(BIN_INSTALL_DIR "${EXEC_INSTALL_PREFIX}/bin" "Installation directory for user executables")
 set_path(DATA_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/dino" "Installation directory for dino-specific data")
+set_path(APPDATA_FILE_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/metainfo" "Installation directory for .appdata.xml files")
 set_path(DESKTOP_FILE_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/applications" "Installation directory for .desktop files")
 set_path(SERVICE_FILE_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/dbus-1/services" "Installation directory for .service files")
 set_path(ICON_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/icons" "Installation directory for icons")

=== libdino/CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,7 @@
     src/service/blocking_manager.vala
     src/service/chat_interaction.vala
     src/service/connection_manager.vala
+    src/service/content_item_store.vala
     src/service/conversation_manager.vala
     src/service/counterpart_interaction_manager.vala
     src/service/database.vala
@@ -40,7 +41,9 @@
     src/service/muc_manager.vala
     src/service/notification_events.vala
     src/service/presence_manager.vala
+    src/service/registration.vala
     src/service/roster_manager.vala
+    src/service/search_processor.vala
     src/service/stream_interactor.vala
     src/service/util.vala

=== main/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,8 @@
 set(RESOURCE_LIST
     icons/dino-changes-prevent-symbolic.svg
     icons/dino-double-tick-symbolic.svg
+    icons/dino-qr-code-symbolic.svg
+    icons/dino-party-popper-symbolic.svg
     icons/dino-status-away.svg
     icons/dino-status-chat.svg
     icons/dino-status-dnd.svg
@@ -97,10 +99,7 @@
     src/ui/contact_details/muc_config_form_provider.vala
     src/ui/conversation_list_titlebar.vala
     src/ui/global_search.vala
-    src/ui/conversation_selector/chat_row.vala
     src/ui/conversation_selector/conversation_row.vala
-    src/ui/conversation_selector/groupchat_pm_row.vala
-    src/ui/conversation_selector/groupchat_row.vala
     src/ui/conversation_selector/list.vala
     src/ui/conversation_selector/view.vala
     src/ui/conversation_summary/chat_state_populator.vala
@@ -164,6 +163,7 @@
 
     data/icons/dino-changes-prevent-symbolic.svg
     data/icons/dino-double-tick-symbolic.svg
+    data/icons/dino-qr-code-symbolic.svg
     data/icons/dino-tick-symbolic.svg
 DESTINATION
     ${ICON_INSTALL_DIR}/hicolor/scalable/status

=== plugins/CMakeLists.txt ===
if(PLUGIN_ENABLED_http-files)
  add_subdirectory(http-files)
endif(PLUGIN_ENABLED_http-files)

if(PLUGIN_ENABLED_openpgp)
  add_subdirectory(gpgme-vala)
  add_subdirectory(openpgp)
endif(PLUGIN_ENABLED_openpgp)

if(PLUGIN_ENABLED_omemo)
  add_subdirectory(omemo)
  add_subdirectory(signal-protocol)
endif(PLUGIN_ENABLED_omemo)

if(PLUGIN_ENABLED_notification-sound)
  add_subdirectory(notification-sound)
endif(PLUGIN_ENABLED_notification-sound)

=== xmpp-vala/CMakeLists.txt ===
--- 
+++ 
@@ -68,6 +68,7 @@
     "src/module/xep/0280_message_carbons.vala"
     "src/module/xep/0313_message_archive_management.vala"
     "src/module/xep/0333_chat_markers.vala"
+    "src/module/xep/0363_http_file_upload.vala"
     "src/module/xep/0368_srv_records_tls.vala"
     "src/module/xep/0380_explicit_encryption.vala"
     "src/module/xep/pixbuf_storage.vala"

=== plugins/http-files/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,6 @@
     src/manager.vala
     src/plugin.vala
     src/register_plugin.vala
-    src/upload_stream_module.vala
 CUSTOM_VAPIS
     ${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi
     ${CMAKE_BINARY_DIR}/exports/dino.vapi

=== plugins/notification-sound/CMakeLists.txt ===
find_packages(NOTIFICATION_SOUND_PACKAGES REQUIRED
    Canberra
    Gee
    GLib
    GModule
    GObject
    GDKPixbuf2
)

vala_precompile(NOTIFICATION_SOUND_VALA_C
SOURCES
    src/plugin.vala
    src/register_plugin.vala
CUSTOM_VAPIS
    ${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi
    ${CMAKE_BINARY_DIR}/exports/dino.vapi
    ${CMAKE_BINARY_DIR}/exports/qlite.vapi
PACKAGES
    ${NOTIFICATION_SOUND_PACKAGES}
)

add_definitions(${VALA_CFLAGS})
add_library(notification-sound SHARED ${NOTIFICATION_SOUND_VALA_C})
target_link_libraries(notification-sound libdino ${NOTIFICATION_SOUND_PACKAGES})
set_target_properties(notification-sound PROPERTIES PREFIX "")
set_target_properties(notification-sound PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/plugins/)

install(TARGETS notification-sound ${PLUGIN_INSTALL})

=== plugins/omemo/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
     GModule
     GObject
     GTK3
+    Soup
 )
 
 set(RESOURCE_LIST
@@ -38,6 +39,8 @@
     src/own_notifications.vala
     src/encrypt_state.vala
     src/encryption_list_entry.vala
+    src/file_provider.vala
+    src/file_sender.vala
     src/manage_key_dialog.vala
     src/manager.vala
     src/message_flag.vala

=== debian/changelog ===
dino-im (0.0.git20181129-1+deb10u1.1) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:21:28 +0800

dino-im (0.0.git20181129-1+deb10u1) buster-security; urgency=high

  * Fix check of source of a carbons message (CVE-2019-16235)
  * Check roster push authorization (CVE-2019-16236)
  * Fix check of source of MAM message (CVE-2019-16237)

 -- W. Martin Borgert <debacle@debian.org>  Fri, 13 Sep 2019 19:00:21 +0000

dino-im (0.0.git20181129-1) unstable; urgency=medium

  * New upstream git snapshot

 -- W. Martin Borgert <debacle@debian.org>  Tue, 04 Dec 2018 22:27:07 +0000

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	libgpgme-dev,
 	libgtk-3-dev (>= 3.22),
 	libnotify-dev,
+	libqrencode-dev,
 	libsignal-protocol-c-dev,
 	libsoup2.4-dev,
 	libsqlite3-dev,
